--- old/usr/src/man/man4/dhcp_network.4	2014-10-07 19:19:54.300227954 +0200
+++ /dev/null	2014-10-07 19:19:54.000000000 +0200
@@ -1,235 +0,0 @@
-'\" te
-.\"  Copyright (c) 2001 by Sun Microsystems, Inc. All Rights Reserved.
-.\" The contents of this file are subject to the terms of the Common Development and Distribution License (the "License").  You may not use this file except in compliance with the License.
-.\" You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE or http://www.opensolaris.org/os/licensing.  See the License for the specific language governing permissions and limitations under the License.
-.\" When distributing Covered Code, include this CDDL HEADER in each file and include the License file at usr/src/OPENSOLARIS.LICENSE.  If applicable, add the following below this CDDL HEADER, with the fields enclosed by brackets "[]" replaced with your own identifying information: Portions Copyright [yyyy] [name of copyright owner]
-.TH DHCP_NETWORK 4 "Mar 5, 2004"
-.SH NAME
-dhcp_network \- DHCP network tables
-.SH DESCRIPTION
-.sp
-.LP
-The Dynamic Host Configuration Protocol (\fBDHCP\fR) network tables are used to
-map the client identifiers of \fBDHCP\fR clients to \fBIP\fR addresses and the
-associated configuration parameters of that address. One \fBDHCP\fR network
-table exists for each network served by the \fBDHCP\fR server, and each table
-is named using the network's \fBIP\fR address. There is no table or file with
-the name \fBdhcp_network\fR.
-.sp
-.LP
-The \fBDHCP\fR network tables can exist as \fBASCII\fR text files, binary text
-files, or \fBNIS+\fR tables, depending on the data store used. Since the format
-of the file could change, the preferred method of managing the \fBDHCP\fR
-network tables is through the use of \fBdhcpmgr\fR(1M) or the \fBpntadm\fR(1M)
-command.
-.sp
-.LP
-The \fBdhcp_network\fR file is used as a policy mechanism for whether
-\fBin.dhcpd\fR(1M) leases addresses on a given network. If the \fBDHCP\fR
-server is not serving leases or information to a network, there should be no
-\fBdhcp_network\fR file for that network. To set the \fBDHCP\fR server in
-\fBinformational\fR mode, where it responds to \fBINFORM\fR messages but does
-not lease addresses on that network, create an empty \fBdhcp_network\fR file
-for that network. For normal operations, where the \fBDHCP\fR server both
-leases addresses and responds to \fBINFORM\fR packets, create a
-\fBdhcp_network\fR file using \fBdhcpmgr\fR(1M) or \fBpntadm\fR(1M) and
-populate it with leasable addresses.
-.sp
-.LP
-The format of the records in a \fBDHCP\fR network table depends on the data
-store used to maintain the table. However, an entry in a \fBDHCP\fR network
-table must contain the following fields:
-.sp
-.ne 2
-.na
-\fB\fBClient_ID\fR \fR
-.ad
-.RS 14n
-The client identifier field, \fBClient_ID\fR, is an \fBASCII\fR hexadecimal
-representation of the unique octet string value of the \fBDHCP\fR Client
-Identifier Option (code 61) which identifies a \fBDHCP\fR client. In the
-absence of the \fBDHCP\fR Client Identifier Option, the \fBDHCP\fR client is
-identified using the form given below for \fBBOOTP\fR clients. The number of
-characters in this field must be an even number, with a maximum length of 64
-characters. Valid characters are \fB0\fR \fB-\fR \fB9\fR and \fBA\fR-\fBF\fR.
-Entries with values of \fB00\fR are freely available for dynamic allocation to
-requesting clients. \fBBOOTP\fR clients are identified by the concatenation of
-the network's hardware type (as defined by \fBRFC\fR 1340, titled "Assigned
-Numbers") and the client's hardware address. For example, the following
-\fBBOOTP\fR client has a hardware type of '\fB01\fR' (10mb ethernet) and a
-hardware address of \fB8:0:20:11:12:b7\fR, so its client identifier would be:
-\fB010800201112B7\fR
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBFlags\fR \fR
-.ad
-.RS 14n
-The \fBFlags\fR field is a decimal value, the bit fields of which can have a
-combination of the following values:
-.sp
-.ne 2
-.na
-\fB\fB1 (PERMANENT)\fR \fR
-.ad
-.RS 18n
-Evaluation of the \fBLease\fR field is turned off (lease is permanent). If this
-bit is not set, Evaluation of the \fBLease\fR field is enabled and the
-\fBLease\fR is \fBDYNAMIC.\fR
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB2 (MANUAL)\fR \fR
-.ad
-.RS 18n
-This entry has a manual client \fBID\fR binding (cannot be reclaimed by
-\fBDHCP\fR server). Client will not be allocated another address.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB4 (UNUSABLE)\fR \fR
-.ad
-.RS 18n
-When set, this value means that either through \fBICMP\fR echo or client
-\fBDECLINE,\fR this address has been found to be unusable. Can also be used by
-the network administrator to \fIprevent\fR a certain client from booting, if
-used in conjunction with the \fBMANUAL\fR flag.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB8 (BOOTP)\fR \fR
-.ad
-.RS 18n
-This entry is reserved for allocation to \fBBOOTP\fR clients only.
-.RE
-
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBClient_IP\fR \fR
-.ad
-.RS 14n
-The \fBClient_IP\fR field holds the \fBIP\fR address for this entry. This value
-must be unique in the database.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBServer_IP\fR \fR
-.ad
-.RS 14n
-This field holds the \fBIP\fR address of the \fBDHCP\fR server which \fIowns\fR
-this client \fBIP\fR address, and thus is responsible for initial allocation to
-a requesting client. On a multi-homed DHCP server, this IP address must be the
-first address returned by \fBgethostbyname\fR(3NSL).
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBLease\fR \fR
-.ad
-.RS 14n
-This numeric field holds the entry's absolute lease expiration time, and is in
-seconds since \fBJanuary 1, 1970\fR. It can be decimal, or hexadecimal (if
-\fB0x\fR prefixes number). The special value \fB-1\fR is used to denote a
-permanent lease.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBMacro\fR \fR
-.ad
-.RS 14n
-This \fBASCII\fR text field contains the \fBdhcptab\fR macro name used to look
-up this entry's configuration parameters in the \fBdhcptab\fR(4) database.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBComment\fR \fR
-.ad
-.RS 14n
-This \fBASCII\fR text field contains an optional comment.
-.RE
-
-.SS "TREATISE ON LEASES"
-.sp
-.LP
-This section describes how the \fBDHCP/BOOTP\fR server calculates a client's
-configuration lease using information contained in the \fBdhcptab\fR(4) and
-\fBDHCP\fR network tables. The server consults the \fBLeaseTim\fR and
-\fBLeaseNeg\fR symbols in the \fBdhcptab\fR, and the \fBFlags\fR and
-\fBLease\fR fields of the chosen IP address record in the \fBDHCP\fR network
-table.
-.sp
-.LP
-The server first examines the \fBFlags\fR field for the identified \fBDHCP\fR
-network table record. If the \fBPERMANENT\fR flag is on, then the client's
-lease is considered permanent.
-.sp
-.LP
-If the \fBPERMANENT\fR flag is not on, the server checks if the client's lease
-as represented by the \fBLease\fR field in the network table record has
-expired. If the lease is not expired, the server checks if the client has
-requested a new lease. If the \fBLeaseNeg\fR symbol has not been included in
-the client's \fBdhcptab\fR parameters, then the client's requested lease
-extension is ignored, and the lease is set to be the time remaining as shown by
-the \fBLease\fR field. If the \fBLeaseNeg\fR symbol \fIhas\fR been included,
-then the server will extend the client's lease to the value it requested if
-this requested lease is less than or equal to the current time plus the value
-of the client's \fBLeaseTim\fR \fBdhcptab\fR parameter.
-.sp
-.LP
-If the client's requested lease is greater than policy allows (value of
-\fBLeaseTim\fR), then the client is given a lease equal to the current time
-plus the value of \fBLeaseTim\fR. If \fBLeaseTim\fR is not set, then the
-default \fBLeaseTim\fR value is one hour.
-.sp
-.LP
-For more information about the \fBdhcptab\fR symbols, see \fBdhcptab\fR(4).
-.SH ATTRIBUTES
-.sp
-.LP
-See \fBattributes\fR(5) for a description of the following attribute:
-.sp
-
-.sp
-.TS
-box;
-c | c
-l | l .
-ATTRIBUTE TYPE	ATTRIBUTE VALUE
-_
-Interface Stability	Evolving
-.TE
-
-.SH SEE ALSO
-.sp
-.LP
-\fBdhcpconfig\fR(1M), \fBdhcpmgr\fR(1M), \fBdhtadm\fR(1M), \fBin.dhcpd\fR(1M),
-\fBpntadm\fR(1M), \fBdhcptab\fR(4), \fBdhcp\fR(5), \fBdhcp_modules\fR(5),
-\fBattributes\fR(5)
-.sp
-.LP
-\fISolaris DHCP Service Developer\&'s Guide\fR
-.sp
-.LP
-\fISystem Administration Guide: IP Services\fR
-.sp
-.LP
-Reynolds, J. and J. Postel, \fIAssigned Numbers\fR, STD 2, RFC 1340,
-USC/Information Sciences Institute, July 1992.
